JSListPicker module - Feature #495

Is it possible to search on columns that are one table away from the columns set up in the global list
picker method?

04/18/2012 08:30 PM - John Michael Parkan
Target version:
Description

// What columns are we gonna show, at least 1 column is required
_oCL = _oLP.newColumn();
_oCL.dataprovider = "gs_projects_to_qgs_quotes.csono";

// On what columns are we gonna search. at least 1 column is required
_0oCL = _oLP.newSearchColumn();
_oCL.dataprovider = "gs_projects_to_qgs_quotes.csono";

History

#1 - 04/18/2012 08:52 PM - Robert Ivens

- Status changed from New to Feedback

Yes you can search over Servoy relationships on related tables. Even more than one table away.
Just pass the relationshipname.columnname as a string and this should work.
Of course all the Servoy rules apply here so searching on non-stored data (unstored-calcs) is not supported.

#2 - 04/18/2012 11:12 PM - John Michael Parkan
| thought | was passing "the relationshipname.columnname as a string" like this:
_oCL.dataprovider = "gs_projects_to_gs_quotes.csono";

#3 - 04/18/2012 11:17 PM - Robert lvens

That is correct. You say that isn't working ?

#4 - 04/18/2012 11:46 PM - John Michael Parkan
- File Screen_Shot _2012-04-18_at 5.32.23 PM.png added
- File Screen_Shot 2012-04-18_at 5.32.15_PM.png added

See the screen shots below... the list picker doesn't see to be picking up the available csono (first column) when being called and searching doesn't
find anything though the relation.

Here is what the console throws:

Your JSListPicker instance has the following issue(s):
- There is no callback properties set. You need to add a callback method OR a callback form and column/variable

Your JSListPicker instance has the following issue(s):
- There is no callback properties set. You need to add a callback method OR a callback form and column/variable

| took a cursory look at what it was trying to do but | couldn't really follow the code at first glance.

#5 - 05/03/2012 12:10 PM - Robert Ivens

John Michael Parkan wrote:

Here is what the console throws:
| am pretty sure you are seeing 2 different things here. When you get these messages in the console then the listpicker will not show at all so your

screenshots are from other code.

#6 - 07/01/2012 03:07 PM - Robert Ivens
- Status changed from Feedback to Closed

- Target version deleted (1.1)
